import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JTextArea;
import javax.swing.JTextField;


/**
 * An InputListener class for taking input text from a JTextField object
 * and appending the text to a JTextArea object.
 * 
 * @author Tom Kelliher
 *
 */
public class InputListener implements ActionListener {
	
	/**
	 * @param out the JTextArea object to which text is written for display.
	 */
	public InputListener(JTextArea out) {
		this.out = out;
	}

	/* Get the text, send it to the JTextArea object out, and clear the text from
	 * the JTextField object.
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		JTextField source = (JTextField) e.getSource();
		String s = source.getText();
		out.append(s + "\n");
		source.setText("");
	}

	private JTextArea out;
}
